local CTorpedoSubProjectile = import('/lua/cybranprojectiles.lua').CTorpedoSubProjectile
local EffectTemplate = import('/lua/EffectTemplates.lua')

CANTorpedoProton = Class(CTorpedoSubProjectile) {

    FxImpactUnit = EffectTemplate.CElectronBolterHitUnit02,
    FxImpactProp = EffectTemplate.CElectronBolterHitUnit02,
    FxImpactLand = EffectTemplate.CElectronBolterHitLand02,
    FxImpactWater = EffectTemplate.CElectronBolterHitLand02,
    FxImpactUnderWater = EffectTemplate.CElectronBolterHitLand02,
    FxImpactNone = EffectTemplate.CElectronBolterHitLand02,
		FxLandHitScale = 4,
		FxUnitHitScale = 4,
		FxWaterHitScale = 4,
		FxUnderWaterHitScale = 4,
		FxNoneHitScale = 4,
		
    OnImpact = function(self, targetType, targetEntity)
        local army = self:GetArmy()
        CreateLightParticle( self, -1, army, 3, 7, 'glow_03', 'ramp_fire_11' )
        CTorpedoSubProjectile.OnImpact(self, targetType, targetEntity)
    end,
}

TypeClass = CANTorpedoProton